clzm.net
当前位置:首页 >> JAvA的一个wEB应用报如下错误,tomCAt1.7,jDk1.7... >>

JAvA的一个wEB应用报如下错误,tomCAt1.7,jDk1.7...

严重: Servlet.service() for servlet [jsp] in context with path [] threw exception [java.lang.NoClassDefFoundError: javax/servlet/Servlet] with root cause java.lang.ClassNotFoundException: javax.servlet.Servlet 没找到引用的jar包...

检查一下 你的webapp下的是否导入了javaee.jar 没有的话在你java安装目录下找到复制到你的web项目中WEB_INF文件夹下的lib文件夹中。如果使用eclipse或者myeclipse的话当你创建web项目的时候会自动帮你引入的。希望能帮住你。

tomcat5.0有些是需要手动指定的(比如项目的发布需要手动添加Contex元素)。跟tomcat6.0、7.0有很大不同。

windows 系统 在桌面上(用鼠标右键点击)我的电脑→属性→高级→环境变量→然后根据你的jdk的安装目录设置 如:jdk安装在:C:\Program Files\Java\jdk1.7.0_04 配置时选择新建(系统的,用户的都可以) 在变量名填 path, 变量值填 C:\Program Files...

tomcat的启动rub.bat修改java_home路径啊,到里面 set /p java_home,写死了,然后就可以了,tomcat8才支持jdk7呢,其他都是别的。 太简单了

从tomcat官网就可以看出对应版本的列表 http://tomcat.apache.org/whichversion.html tomcat7需要至少1.6及其以上的jdk版本,但是你1.7的jdk就不存在说用什么版本的tomcat了,都可以用,现在最稳定的还是tomcat6

Tomcat单独启动要给也要给Tomcat设置环境变量需要JAVA_HOME(Java根目录)、CATALINA_HOME(tomcat根目录),在path变量中直接写%JAVA_HOME%/bin就可以了

不是必须的,但是要注意: java是向下兼容的 JDK,eclipse,tomcat的位数与系统位数最好一致 Eclipse 是一个开放源代码的、基于Java的可扩展开发平台。就其本身而言,它只是一个框架和一组服务,用于通过插件组件构建开发环境。幸运的是,Eclips...

下载tomcat6就可以。 tomcat6配置方法。 打开eclipse,依次选择window-perfrences进去设置的主界面。 在左侧搜索或者直接找到server.然后单击该选项。在下图的右侧有个列表,我们可以看到已经配置好的tomcat列表。这里我们点击add.配置我们自己...

您好,提问者: 估计是你创建项目的时候不是可以选择JDK版本吗?估计是那的错误,请核对一下。

网站首页 | 网站地图
All rights reserved Powered by www.clzm.net
copyright ©right 2010-2021。
内容来自网络,如有侵犯请联系客服。zhit325@qq.com